%define name smpeg
%define summary SDL MPEG Library
%define version	0.4.2
%define release 4mdk
%define section Multimedia/Video
%define lib_name_orig libsmpeg
%define lib_major 0.4
%define lib_name %{lib_name_orig}%{lib_major}

Name: %{name}
Summary: %{summary}
Version: %{version}
Release: %{release}
Icon: video_32x32.xpm
Copyright: LGPL
Source: %{name}-%{version}.tar.bz2
Source10: gtv_16x16.xpm.bz2
Source11: gtv_32x32.xpm.bz2
Source12: gtv_48x48.xpm.bz2
Patch0: smpeg-remove-rpath-in-smpeg-config.patch.bz2
Group: Video
URL: http://www.lokigames.com/development/smpeg.php3
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: XFree86-devel audiofile-devel esound-devel libgtk+1.2-devel libSDL1.1-devel >= 1.1.5
Requires: libSDL1.1 >= 1.1.5

%description
SMPEG is based on UC Berkeley's mpeg_play software MPEG decoder and SPLAY,
an mpeg audio decoder created by Woo-jae Jung. We have completed the
initial work to wed these two projects in order to create a general
purpose MPEG video/audio player for the Linux OS.

%package -n %{lib_name}
Summary: Main library for %{name}
Group: System/Libraries
Obsoletes: %{name}
Provides: %{name} = %{version}-%{release}

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{lib_name}-devel
Summary: Headers for developing programs that will use %{name}
Group: Development/C
Requires: %{lib_name} = %{version}
Provides: %{lib_name_orig}-devel = %{version}-%{release}
Obsoletes: %{name}-devel

%description -n %{lib_name}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n %{name}-player
Summary: Simple MPEG player baed on %{name} library
Group: Video
Obsoletes: %{lib_name}-player

%description -n %{name}-player
This package contains a MPEG player based on %{name}.

%prep
rm -rf ${RPM_BUILD_ROOT}
%setup -q
%patch0 -p0

%build
# Needed for snapshot releases.
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%{_prefix}
else
  %configure
fi
%make

%install
rm -rf $RPM_BUILD_ROOT
#make prefix=$RPM_BUILD_ROOT/%{_prefix} install
%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
bzcat %{SOURCE10} > $RPM_BUILD_ROOT%{_miconsdir}/gtv.xpm
bzcat %{SOURCE11} > $RPM_BUILD_ROOT%{_iconsdir}/gtv.xpm
bzcat %{SOURCE12} > $RPM_BUILD_ROOT%{_liconsdir}/gtv.xpm

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name}-player << EOF
?package(%{name}-player): command="%{_bindir}/gtv" needs="X11" icon="gtv.xpm" section="%{section}" \
 title="Gtv Mpeg player" longtitle="Gtv Mpeg video player"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{name}-player
%{update_menus}

%postun -n %{name}-player
%{clean_menus}

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{name}-player
%defattr(-, root, root)
%doc CHANGES COPYING README
%{_bindir}/plaympeg
%{_bindir}/gtv
%{_bindir}/glmovie
%{_mandir}/*/*
%{_menudir}/%{name}-player
%{_iconsdir}/gtv.xpm
%{_miconsdir}/gtv.xpm
%{_liconsdir}/gtv.xpm

%files -n %{lib_name}
%defattr(-,root,root)
%doc CHANGES COPYING README
%{_libdir}/lib*.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%doc CHANGES COPYING README
%{_bindir}/smpeg-config
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.so

%changelog
* Thu Mar  8 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.2-4mdk
- rename player subpackage to "smpeg-player"

* Mon Mar  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.2-3mdk
- fix smpeg-config to not provide rpath
- fix provides
- bzip icons

* Tue Jan 23 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.4.2-2mdk
- corrected doc file list for libsmpeg package 

* Fri Jan  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.2-1mdk
- 0.4.2

* Fri Dec  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.1-4mdk
- better new lib policy, do not generate anymore an ambiguous package
  containing binaries but with the old lib name

* Wed Nov 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.1-3mdk
- follow new lib policy, split packages with binaries

* Wed Oct 25 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.1-2mdk
- rebuild to ensure that icons are not executables

* Tue Oct 24 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.1-1mdk
- 0.4.1

* Fri Sep 15 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.0-10mdk
- rebuild against fixed XFree4 by fredl

* Thu Sep 14 2000 Florin Grad <florin@mandrakesoft.com> 0.4.0-9mdk
- now we have transparent icons 

* Thu Sep 07 2000 Florin Grad <florin@mandrakesoft.com> 0.4.0-8mdk
- removed the explicit icon path

* Thu Aug 31 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.0-7mdk
- explicit name for menu entry :-)

* Wed Aug 30 2000 Florin Grad <florin@mandrakesoft.com> 0.4.0-6mdk

* Mon Aug 28 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.4.0-5mdk
- make coherent menu name. Thanks Fred.

* Mon Aug 28 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.4.0-4mdk
- rebuilt for latest SDL 1.1.4.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.4.0-3mdk
- automatically added BuildRequires.

* Wed Aug 02 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 0.4.0-2mdk
- macroszifications.
- BM.

* Fri Jun 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4.0-1mdk
- v0.4.0.

* Tue Apr 11 2000 Denis Havlik <denis@mandrakesoft.com> 0.3.5-2mdk
- fixed "Requires",

* Tue Apr 11 2000 Denis Havlik <denis@mandrakesoft.com> 0.3.5-1mdk
- new version,
- merged with loki's original rpm (add devel rpm!).
- menu entry and icon (by Hlne Durosini) for gtv.  

* Tue Feb 07 2000 Giuseppe Ghib <ghibo@linux-mandrake.com>
- mandrake adations.
- added BuildPreReq.
- updated to version 0.3.3.

* Wed Jan 19 2000 Sam Lantinga <hercules@lokigames.com>
- initial release.
